#!/bin/sh

################################
#     start revert process     # >> /var/log/revertLog
################################

# 1 check if revert avaliable
/userScripts/revertVersionScripts/isRevertAvaliable.sh

if [ $? != 0 ]; then
    echo $(date +%Y_%m_%d:%H:%M:%S)" Exit revert process, revert checks not passed!"
	exit 1
fi   

# 2 move data from revertBackup to updateBackup
if [ -d /updateBackup ]; then
	rm -r /updateBackup
	sync
	sync
fi
mv  /revertBackup /updateBackup
sync

# 3 start backup process
revertVersion=$(/userScripts/revertVersionScripts/sqlGetRevertVer.sh)
if [ $? != 0 ]; then
	echo "Can't get Revert Version!"
	mv  /updateBackup /revertBackup
	sync
	exit 2
fi
currentVersion=$(/userScripts/revertVersionScripts/sqlGetCurrentVer.sh)
if [ $? != 0 ]; then
	echo "Can't get Current Version!"
	mv  /updateBackup /revertBackup
	sync
	exit 3
fi
echo $(date +%Y_%m_%d:%H:%M:%S)" Revert from v$currentVersion to v$revertVersion start!"

touch /flags/revertWas
echo $revertVersion > /flags/revertWas

/userScripts/updateBackupScript.sh

exit 0

